# material_design_mirae

[![pub package](https://img.shields.io/pub/v/material_design_mirae.svg)](https://pub.dev/packages/material_design_mirae)

## Platform Support

| Android | iOS | MacOS | Web | Linux | Windows |
| :-----: | :-: | :---: | :-: | :---: | :-----: |
|   ✔️    | ✔️  |  ✔️   | ✔️  |  ✔️   |   ✔️    |

# Usage

Import `import 'package:material_design_mirae/material_design_mirae.dart'`

Example:

```dart
import 'package:material_design_mirae/material_design_mirae.dart';

// Button MASI
buttonMASI(
    context,
    buttonColor: primary,
    onPressed: () {
        print("Click Button Primary");
    },
    child: FittedBox(
        child: Text(
            'Primary',
            style: TextStyle(
                color: neutral10,
                fontSize: 10,
            ),
        ),
    ),
),

// Card MASI
cardMASI(
  shadowColor: neutral60.withOpacity(0.1),
  child : Column(
    crossAxisAlignment: CrossAxisAlignment.start,
    children: [
        Container(
            width: 100,
            height: 100,
            child: Icon(
            Icons.image,
            color: neutral50,
            ),
            decoration: BoxDecoration(
                borderRadius: const BorderRadius.only(
                    topRight: Radius.circular(10.0),
                    topLeft: Radius.circular(10.0),
                ),
                color: neutral40,
            ),
        ),
    ],
  ),
),

// Color Pallet
final List _colors = [
  neutral10,
  neutral20,
  neutral30,
  neutral40,
  neutral50,
  neutral60,
  neutral70,
  neutral80,
  neutral90,
  neutral100,
  primary,
  primarySurface,
  primaryHover,
  primaryBorder,
  primaryPressed,
  primaryFocused,
  secondary,
  secondarySurface,
  secondaryHover,
  secondaryBorder,
  secondaryPressed,
  secondaryFocus,
  danger,
  dangerSurface,
  dangerHover,
  dangerBorder,
  dangerPressed,
  info,
  infoSurface,
  infoHover,
  infoBorder,
  infoPressed,
  success,
  successSurface,
  successHover,
  successBorder,
  successPressed,
  warning,
  warningSurface,
  warningHover,
  warningBorder,
  warningPressed,
];
```