import 'package:flutter/material.dart';

import 'style/color.dart';

TextFormField textFormMASI({
  controller,
  validator,
  inputFormatters,
  cursorColor,
  hintStyle,
  hintText,
  suffixIcon,
  prefixIcon,
  obscureText = false,
}) {
  return TextFormField(
    obscureText: obscureText,
    controller: controller,
    validator: validator,
    inputFormatters: inputFormatters,
    cursorColor: cursorColor,
    decoration: InputDecoration(
      suffixIcon: suffixIcon,
      prefixIcon: prefixIcon,
      hintText: hintText,
      hintStyle: hintStyle,
      contentPadding: const EdgeInsets.fromLTRB(18, 0, 18, 0),
      border: const OutlineInputBorder(
        borderRadius: BorderRadius.all(
          Radius.circular(6),
        ),
      ),
      focusedBorder: OutlineInputBorder(
        borderSide: BorderSide(
          color: primary,
        ),
        borderRadius: BorderRadius.circular(6.0),
      ),
      focusedErrorBorder: OutlineInputBorder(
        borderSide: BorderSide(
          color: danger,
          width: 1,
        ),
        borderRadius: BorderRadius.circular(6.0),
      ),
      errorBorder: OutlineInputBorder(
        borderSide: BorderSide(
          color: danger,
          width: 1,
        ),
        borderRadius: BorderRadius.circular(6.0),
      ),
    ),
  );
}
